Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::GstUnrefer< T > Class Template Reference

RAII helper class for calling gst_object_unref on exit from a block or function. More...

List of all members.

## Public Member Functions
| GstUnrefer (T *p)
| GstUnrefer ()
| ~GstUnrefer ()
void | cancel ()
| Cancel the unref.
void | release ()
| Unref the object now.
void | set (T *p)
| Set the object to be unrefed.
T * | get () const
| Get the object.

## Private Member Functions
| GstUnrefer (GstUnrefer &other)
| Not implemented – use default constructor.
GstUnrefer & | operator= (GstUnrefer &)
| Not implemented.

## Private Attributes
T * | m_p

## Detailed Description

### template<typename T>
class ArgusSamples::GstUnrefer< T >

RAII helper class for calling gst_object_unref on exit from a block or function.

Definition at line 60 of file VideoPipeline.cpp.

## Constructor & Destructor Documentation

template<typename T>

ArgusSamples::GstUnrefer< T >::GstUnrefer | ( | T * | p | ) |
| inline explicit

Definition at line 63 of file VideoPipeline.cpp.

template<typename T>

ArgusSamples::GstUnrefer< T >::GstUnrefer | ( |  | ) |
| inline

Definition at line 67 of file VideoPipeline.cpp.

template<typename T>

ArgusSamples::GstUnrefer< T >::~GstUnrefer | ( |  | ) |
| inline

Definition at line 71 of file VideoPipeline.cpp.

template<typename T>

ArgusSamples::GstUnrefer< T >::GstUnrefer | ( | GstUnrefer< T > & | other | ) |
| private

Not implemented – use default constructor.

## Member Function Documentation

template<typename T>

void ArgusSamples::GstUnrefer< T >::cancel | ( |  | ) |
| inline

Cancel the unref.

Definition at line 77 of file VideoPipeline.cpp.

template<typename T>

T* ArgusSamples::GstUnrefer< T >::get | ( |  | ) | const
| inline

Get the object.

Definition at line 98 of file VideoPipeline.cpp.

template<typename T>

GstUnrefer& ArgusSamples::GstUnrefer< T >::operator= | ( | GstUnrefer< T > & |  | ) |
| private

Not implemented.

template<typename T>

void ArgusSamples::GstUnrefer< T >::release | ( |  | ) |
| inline

Unref the object now.

Definition at line 83 of file VideoPipeline.cpp.

template<typename T>

void ArgusSamples::GstUnrefer< T >::set | ( | T * | p | ) |
| inline

Set the object to be unrefed.

Definition at line 91 of file VideoPipeline.cpp.

## Member Data Documentation

template<typename T>

T* ArgusSamples::GstUnrefer< T >::m_p
| private

Definition at line 104 of file VideoPipeline.cpp.

The documentation for this class was generated from the following file:

- common/VideoPipeline.cpp